package com.bocloud.cmp.model.hmc.sdk.job;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class RequestedOperation {
    private Metadata metadata;
    private String operationName;
    private String groupName;
    private String progressType;

    public RequestedOperation() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getOperationName() {
        return operationName;
    }

    public void setOperationName(String operationName) {
        this.operationName = operationName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getProgressType() {
        return progressType;
    }

    public void setProgressType(String progressType) {
        this.progressType = progressType;
    }

    @Override
    public String toString() {
        return "RequestedOperation [metadata=" + metadata + ", operationName=" + operationName + ", groupName="
            + groupName + ", progressType=" + progressType + "]";
    }
}
